/*				fget.prg
 * Sample program to demonstrate ClpFarsi.lib to edit bilingual forms
 * Copyright (c) Automated Digital Offices Corporation, USA
 * Mehdi Shakeri
 * 1/18/95
 *
 */
#include "inkey.ch"                                                             
#include "box.ch"                                                               
#include "clpfarsi.ch"           // required                                    
#define FALSE  .F.                                                              
#define TRUE  .T.                                                               
                                                                                
                                                                                
FUNCTION mainentry()                                                            
&&                                                                              
  LOCAL i , GetList := {} , nKey := 0, cDate                                    
                                                                                
  LOCAL eAccount   := "20000"                                           
  LOCAL eName      := "Mobile Phones"                                           
  LOCAL eAddress   := space(40)                                                 
  LOCAL ePhone     := space(20)                                            
  LOCAL eNum1      := 9103.33                                                   
  LOCAL eLearn     := TRUE                                                      
  LOCAL eDate      := date()  
                                                                                
  LOCAL fAccount   := "20000"                                                   
  LOCAL fAddress   := space(40)                                                 
  LOCAL fName      := padl(chr(253)+chr(164)+chr(254)+chr(168)+chr(147)+;       
                             " "+chr(244)+chr(144)+;                            
                             chr(164)+chr(250)+chr(147), 40)                    
  LOCAL fPhone     := space(20)                                            
  LOCAL fNum1      := 6281.33                                                   
  LOCAL fLearn     := TRUE                                                      
  LOCAL fDate      := date()  
                                                                                
  SetColor("W+/B, W+/RB")                                                       
  clear screen                                                                  
                                                                                
  SET CONFIRM ON                                                                
  SET DATE FORMAT TO "yy/mm/dd"                                                 
                                                                                
  SET CENTURY OFF                                                               
  SET SCOREBOARD OFF
                                                                                
  // Keyboard Class                                                             
  KeybrdNew()                                                                   
                                                                                
  vscan(400)                                                                              

  cDate := dtoc(date())                                                         
  @ 0, 1 , 23,  78 BOX B_SINGLE                                                 
  @ 01, 30 say "Sample Entry Screen"                                            
                                                                                
  @ 02, 55 say  str(efYear(cDate),4)  + " " + ;                                 
                eCMonth(cDate)        + " " + ;                                 
                str(efDay(cDate),2)   + " " + ;                                 
                eCdow(cDate)                                                    
                                                                                
  @ 03, 20 say "English Section"                                                
  @ 13, 20 say "Farsi Section"                                                  
                                                                                
  while (nKey != 27)                                                            
        i := 5                                                                  
        @ i++, 10 say "     Account"  GET eAccount picture "@K"                 
        @ i++, 10 say " Engish Date"  GET eDate                                 
        @ i++, 10 say "       Learn"  GET eLearn picture "Y/N"                  
        @ i++, 10 say "        Name"  GET eName                                 
        @ i++, 10 say "     Address"  GET eAddress    COLOR "W+/BG, W+/GR"      
        @ i++, 10 say "      Number" GET eNum1 COLOR "W+/R, W+/GR" ;            
                             pict "999,999.99"                                  
                                                                                
        i := 15                                                                 
                                                                                
        @ i++, 10 say "     Account" GETFARSI fAccount picture "@K"
        @ i++, 10 say "        Date" GETFARSI fDate
        @ i++, 10 say "       Learn" GETFARSI fLearn picture "Y/N"
        @ i++, 10 say "        Name" GETFARSI fName picture "@K"
        @ i++, 10 say "     Address" GETFARSI fAddress picture "@S40"
        @ i++, 10 say "      Number" GETFARSI fNum1 COLOR "W+/R, W+/GR" ;
                             pict "$ 999,999,999.99"                            

       read                                                                     
       nKey := lastKey()                                                        
   enddo                                                                        
   quit                                                                         
   return NIL                                                                   
&&                                                                              
